Subject: Re: bug#52256: conditional info pages don't work

From: Mike Frysinger <[email-masked]>
Date: Fri, 3 Dec 2021 22:15:23 -0500

On 03 Dec 2021 15:54, Karl Berry wrote:
>     unfortunately, automake doesn't seem to handle this situation correctly.
> 
> Not surprising.
> 
>     ctf-spec.texi:2: unknown command `forcedError'
> 
> Maybe you would like to look into it? It's not like I have any special
> knowledge here.  At least the error message could be improved, if it
> turns out not to be feasible to make it work.

the error message isn't the point ... i did that just to make it clear the
file was being inspected.  if it was a valid file, there wouldn't be an
error like this.

>     +else
>     +ctf-spec.info:
> 
> Seems like a fine workaround? I guess I could imagine documenting it, if
> that's the outcome. --thanks, karl.

it's the workaround i pushed in binutils.  if the automake folks want to
document it as a KI with this workaround, that seems like an OK workaround
until someone can figure out how to make it work.
-mike